void JSstringU()
{
    board["id"] = incomingReadings.id;

if(flread==0)
{
 board["temperature"] =ts;
//   t1 = incomingReadings.temp;
  board["humidity"] =hs; 
  board["tim2"] = tim2;
  flread=1;    
}
 else
 {board["temperature"] =incomingReadings.temp;
//   t1 = incomingReadings.temp;
  board["humidity"] =incomingReadings.hum;
   if(min1<10)
  {
   board["tim2"] = String(hour1)+":0"+String(min1); 
  }
  else
  {
    board["tim2"] =String(hour1)+":"+String(min1); 
  }
 }
  
 
   board["tim3"] = tim3;
    board["dataserv"] = dataserv;
     board["timeserv"] = timeserv;
     board["munthserv"] = munthserv;
     board["weekserv"] = weekserv;
     board["timev"] = timev;
  
 // jsonString = JSON.stringify(board);
  jsonString = JSON.stringify(board);//{"id":2,"temperature":9.6733450317382812,"humidity":50.41815185546875,"tim2":"12:02","dataserv":"12","timeserv":"15:30","munthserv":"январь",weekserv:"среда"}
 // events.send(jsonString.c_str(), "new_readings", millis());//обновление веба текущая температура
  Serial.println (jsonString);
  
  if(wright>360)//запись на sd каждые 30 минут 60*30/5 каждый тик 5сек
{String String2=jsonString2+"\n";
//appendFile(SD, "/thkom.txt", String2.c_str());//добавление на инфы в файл
 writeFile(SD, "/thkom1.txt", jsonString2.c_str());//записываем в этот файл последние данные для счит после сброса
  writeFile(SD, "/thku1.txt", jsonString.c_str());//записываем в этот файл последние данные NOW для счит после сброса
 
//wright=0;
}
}


void JSstringK()
{    board2["tkom1"] = tkom1;
    board2["hkom1"] = hkom1;
     board2["batkom1"] = batkom1;
     board2["timekom1"] = timekom1;
      board2["tkom2"] = tkom2;
    board2["hkom2"] = hkom2;
     board2["batkom2"] = batkom2;
     board2["timekom2"] = timekom2;
      board2["tkor"] = tkor;
    board2["hkor"] = hkor;
     board2["batkor"] = batkor;
     board2["timekor"] = timekor;
      board2["tbal"] = tbal;
    board2["hbal"] = hbal;
     board2["batbal"] = batbal;
     board2["timebal"] = timebal;
        board2["tul1"] = tul1;
    board2["hul1"] = hul1;
     board2["osv1"] = osv1;
     board2["timeul1"] = timeul1;
jsonString2 = JSON.stringify(board2); 
   Serial.println (jsonString2); 
//"new_datatemp"
//events.send(jsonString2.c_str(), "new_datatemp", millis());//обновление веба
// writeFile(SD, "/thkom.txt", jsonString2.c_str());















if(wright>360)//запись на sd каждые 30 минут 60*30/5 каждый тик 5сек
{esp_task_wdt_reset();//reset WDT
  board["temperature"] =incomingReadings.temp;
//   t1 = incomingReadings.temp;
  board["humidity"] =incomingReadings.hum;
   if(min1<10)
  {
   board["tim2"] = String(hour1)+":0"+String(min1); 
  }
  else
  {
    board["tim2"] =String(hour1)+":"+String(min1); 
  }
 
  
 
   board["tim3"] = tim3;
    board["dataserv"] = dataserv;
     board["timeserv"] = timeserv;
     board["munthserv"] = munthserv;
     board["weekserv"] = weekserv;
     board["timev"] = timev;
  
 // jsonString = JSON.stringify(board);
  jsonString = JSON.stringify(board);
  
  
  
  
  String String2=jsonString2+"\n";
  esp_task_wdt_reset();//reset WDT
//appendFile(SD, "/thkom.txt", String2.c_str());//добавление на инфы в файл
 writeFile(SD, "/thkom1.txt", jsonString2.c_str());//записываем в этот файл последние данные для счит после сброса
  writeFile(SD, "/thku1.txt", jsonString.c_str());//записываем в этот файл последние данные NOW для счит после сброса
  ESP.restart();
wright=0;
}
}
